package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbFamilyMapper;
import com.ruoyi.app.domain.TbFamily;
import com.ruoyi.app.service.ITbFamilyService;

import java.util.List;

/**
 * 家族Service业务层处理
 *
 * @author Alex
 * @date 2020-09-28
 */
@Service
public class TbFamilyServiceImpl extends ServiceImpl<TbFamilyMapper, TbFamily> implements ITbFamilyService {

    /**
     * 根据会员id获取家族列表
     * @param uid
     * @return
     */
    @Override
    public List<TbFamily> selectByUserId(Long uid) {
        return baseMapper.selectByUserId(uid);
    }
}
